Update ScratchFile
Update ScratchFile.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
scratch_file_id
ID of the ScratchFile.
Headers
EARLY-ACCESS
Set to true to access beta operations via /api/v3.
Request
This endpoint expects an object.
uploadStatus
Allowed values:
Response
OK
__typename
createdAt
creator
downloadUrl
errorMessage
externalFileId
file
filename
id
mimeType
modifiedAt
name
originAutomationStepData
The automation step data that produced this file.
size
uploadStatus
Allowed values:
uploadUrl
originPipelineStepDataDeprecated
Use originAutomationStepData instead.
Errors
400
Scratch File Update Request Bad Request Error
403
Scratch File Update Request Forbidden Error
404
Scratch File Update Request Not Found Error
409
Scratch File Update Request Conflict Error
429
Scratch File Update Request Too Many Requests Error
500
Scratch File Update Request Internal Server Error